export const tableHeader = selectEquiType => {

	// 1：物料；4：生产设备; 5：模具；6：备品备件; 7：周转车；8：舟皿；9：产品；10：消耗材料，11：干燥区，12.质检，13.包装材料，14.工装夹具 ，15.刀具 ,99.其他
	switch (+selectEquiType) {
		case 1:
			return [{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '规格',
					prop: 'specification'
				}
			]
		case 5:
			return [{
					label: '牌号',
					prop: 'brandNum'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '模孔数量',
					prop: ''
				},

				{
					label: '芯棒直径',
					prop: ''
				},
				{
					label: '收缩系数',
					prop: '',
					formatter(row) {
						if (!row?.extendField) return ''
						const extendField = JSON.parse(row.extendField)
						return extendField.shrinkageCoefficient
					}
				},
			]


		case 7:
			return [{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '材质',
					prop: 'texture',
					formatter(row) {
						if (!row?.extendField) return ''
						const extendField = JSON.parse(row.extendField)
						return extendField.texture
					}
				},
				{
					label: '长宽高',
					prop: '',
					formatter(row) {
						if (!row?.extendField) return ''
						const extendField = JSON.parse(row.extendField)
						return `${extendField.length || '-'}*${extendField.width || '-'}*${
											  extendField.high || '-'
											}`
					}
				}
			]


		case 8: //'舟皿'
			return [{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '槽数',
					prop: ''
				},


				{
					label: '长宽高',
					prop: '',
					formatter(row) {
						if (!row?.extendField) return ''
						const extendField = JSON.parse(row.extendField)
						return `${extendField.length || '-'}*${extendField.width || '-'}*${
              extendField.high || '-'
            }`
					}
				}
			]
		case 10:
			return []
		case 14:
			return []

	}

	return []
}